# Deprecated API

## Contents

- Methods

Deprecated Methods
Method
Description
org.italiangrid.voms.util.CertificateValidatorBuilder.buildCertificateValidator()
Create a `CertificateValidatorBuilder` object instead.
org.italiangrid.voms.util.CertificateValidatorBuilder.buildCertificateValidator(String)
Create a `CertificateValidatorBuilder` object instead.
org.italiangrid.voms.util.CertificateValidatorBuilder.buildCertificateValidator(String, ValidationErrorListener)
Create a `CertificateValidatorBuilder` object instead.
org.italiangrid.voms.util.CertificateValidatorBuilder.buildCertificateValidator(String, ValidationErrorListener, long)
Create a `CertificateValidatorBuilder` object instead.
org.italiangrid.voms.util.CertificateValidatorBuilder.buildCertificateValidator(String, ValidationErrorListener, long, boolean)
Create a `CertificateValidatorBuilder` object instead.
org.italiangrid.voms.util.CertificateValidatorBuilder.buildCertificateValidator(String, ValidationErrorListener, StoreUpdateListener)
Create a `CertificateValidatorBuilder` object instead.
org.italiangrid.voms.util.CertificateValidatorBuilder.buildCertificateValidator(String, ValidationErrorListener, StoreUpdateListener, long)
Create a `CertificateValidatorBuilder` object instead.
org.italiangrid.voms.util.CertificateValidatorBuilder.buildCertificateValidator(String, ValidationErrorListener, StoreUpdateListener, long, boolean)
Create a `CertificateValidatorBuilder` object instead.
org.italiangrid.voms.util.CertificateValidatorBuilder.buildCertificateValidator(String, ValidationErrorListener, StoreUpdateListener, long, NamespaceCheckingMode, CrlCheckingMode, OCSPCheckingMode, boolean)
Create a `CertificateValidatorBuilder` object instead.